Attribute Types
Returns attribute types matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned attribute types satisfy all constraints that are specified in this search criteria. By default a result containing 1000 attribute types is returned.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The name of the Attribute Type to search for.
The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.
ANYWHEREPossible values: The kind of the Attribute Type to search for.
[DEPRECATED] The language of the Attribute Type to search for. This property is only applicable to Attribute Types of kind "Script".
Whether the Attribute Types should be searched with statistics enabled or not. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".
Whether only integer-type Attribute Types should be searched or not. This property is only applicable to Attribute Types of kind "Numeric".
The field that should be used as reference for sorting.
NAMEPossible values: The order of sorting.
ASCPossible values: The paged response of found Attribute Types.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/attributeTypes HTTP/1.1
Authorization: Basic username:password
Accept: */*
The paged response of found Attribute Types.
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"publicId": "\"ApprovalDate_C\"",
"attributeTypeDiscriminator": "text",
"description": "Sample descripion of the resource.",
"name": "Test name",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}
]
}Adds a new Attribute Type.
The ID of the new Attribute Type. Should be unique within all Attribute Types.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.
The public id that will be assigned to the new Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.
The name of the new Attribute Type. Should be unique within all Attribute Types.
The description of the new Attribute Type.
The kind of the new Attribute Type.
[DEPRECATED] The language of the new Attribute Type. This property is only applicable to Attribute Types of kind "Script".
Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".
List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List". The ordering of the elements will be preserved.
Rich text or plain text This property is only applicable to Attribute Types of kind "String".
The ID of the Attribute Type. This field will be removed in the future.
Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind "Numeric".
Attribute Type successfully added.
The public id of the attribute type.
"ApprovalDate_C"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.
The description of the resource.
Sample descripion of the resource.The name of the resource.
Test nameThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The id of the represented object (entity).
An attribute type with the given ID already exists
Forbidden - Insufficient permissions to perform the requested operation.
POST /rest/2.0/attributeTypes HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 225
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"publicId": "text",
"name": "text",
"description": "text",
"kind": "BOOLEAN",
"language": "text",
"statisticsEnabled": true,
"allowedValues": [
"text"
],
"stringType": "RICH_TEXT",
"isInteger": true
}{
"publicId": "\"ApprovalDate_C\"",
"attributeTypeDiscriminator": "text",
"description": "Sample descripion of the resource.",
"name": "Test name",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}Adds multiple Attribute Types.
The ID of the new Attribute Type. Should be unique within all Attribute Types.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.
The public id that will be assigned to the new Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.
The name of the new Attribute Type. Should be unique within all Attribute Types.
The description of the new Attribute Type.
The kind of the new Attribute Type.
[DEPRECATED] The language of the new Attribute Type. This property is only applicable to Attribute Types of kind "Script".
Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".
List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List". The ordering of the elements will be preserved.
Rich text or plain text This property is only applicable to Attribute Types of kind "String".
The ID of the Attribute Type. This field will be removed in the future.
Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind "Numeric".
Attribute Types successfully added.
The public id of the attribute type.
"ApprovalDate_C"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.
The description of the resource.
Sample descripion of the resource.The name of the resource.
Test nameThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The id of the represented object (entity).
An attribute type with the given name or ID already exists
Forbidden - Insufficient permissions to perform the requested operation.
POST /rest/2.0/attributeTypes/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 227
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"publicId": "text",
"name": "text",
"description": "text",
"kind": "BOOLEAN",
"language": "text",
"statisticsEnabled": true,
"allowedValues": [
"text"
],
"stringType": "RICH_TEXT",
"isInteger": true
}
][
{
"publicId": "\"ApprovalDate_C\"",
"attributeTypeDiscriminator": "text",
"description": "Sample descripion of the resource.",
"name": "Test name",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}
]Removes multiple attribute types identified by the UUIDs passed as parameter.
Attribute types removed
No content
An attribute type cannot be removed because it is used in data quality rules or referenced by derived relation type filters
Forbidden - Insufficient permissions to perform the requested operation.
DELETE /rest/2.0/attributeTypes/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 40
[
"123e4567-e89b-12d3-a456-426614174000"
]No content
Changes multiple attribute types with the information present in the request.
The ID of the Attribute Type to be changed. Silently ignored if the ID is provided as path parameter of the request.
The new public id for the Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.
The new name for the Attribute Type.
The new description for the Attribute Type.
[DEPRECATED] The new language for the Attribute Type. This property is only applicable to Attribute Types of kind "Script", and specifies the language of the script.
Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".
Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind "Numeric".
List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List". The ordering of the elements will be preserved.
Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind "String".
Attribute Types successfully changed.
The public id of the attribute type.
"ApprovalDate_C"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.
The description of the resource.
Sample descripion of the resource.The name of the resource.
Test nameThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The id of the represented object (entity).
An attribute type with the given name already exists
Forbidden - Insufficient permissions to perform the requested operation.
Attribute Type not found.
PATCH /rest/2.0/attributeTypes/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 210
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"publicId": "text",
"name": "text",
"description": "text",
"language": "text",
"statisticsEnabled": true,
"isInteger": true,
"allowedValues": [
"text"
],
"stringType": "RICH_TEXT"
}
][
{
"publicId": "\"ApprovalDate_C\"",
"attributeTypeDiscriminator": "text",
"description": "Sample descripion of the resource.",
"name": "Test name",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}
]Returns the attribute type identified by given UUID.
the unique identifier of the attribute type
Attribute Type found.
The public id of the attribute type.
"ApprovalDate_C"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.
The description of the resource.
Sample descripion of the resource.The name of the resource.
Test nameThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The id of the represented object (entity).
Attribute Type not found.
GET /rest/2.0/attributeTypes/{attributeTypeId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"publicId": "\"ApprovalDate_C\"",
"attributeTypeDiscriminator": "text",
"description": "Sample descripion of the resource.",
"name": "Test name",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}Removes attribute type identified by given UUID. Removal is idempotent: removing an attribute type that no longer exists also succeeds.
the unique identifier of the attribute type
Attribute type removed
No content
Attribute type cannot be removed because it is used in data quality rules or referenced by derived relation type filters
Forbidden - Insufficient permissions to perform the requested operation.
DELETE /rest/2.0/attributeTypes/{attributeTypeId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Changes the attribute types with the information present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.
the unique identifier of the attribute type
The ID of the Attribute Type to be changed. Silently ignored if the ID is provided as path parameter of the request.
The new public id for the Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.
The new name for the Attribute Type.
The new description for the Attribute Type.
[DEPRECATED] The new language for the Attribute Type. This property is only applicable to Attribute Types of kind "Script", and specifies the language of the script.
Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".
Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind "Numeric".
List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List". The ordering of the elements will be preserved.
Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind "String".
Attribute Type successfully changed.
The public id of the attribute type.
"ApprovalDate_C"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.
The description of the resource.
Sample descripion of the resource.The name of the resource.
Test nameThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The id of the represented object (entity).
An attribute type with the given name already exists
Forbidden - Insufficient permissions to perform the requested operation.
Attribute Type not found.
PATCH /rest/2.0/attributeTypes/{attributeTypeId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 208
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"publicId": "text",
"name": "text",
"description": "text",
"language": "text",
"statisticsEnabled": true,
"isInteger": true,
"allowedValues": [
"text"
],
"stringType": "RICH_TEXT"
}{
"publicId": "\"ApprovalDate_C\"",
"attributeTypeDiscriminator": "text",
"description": "Sample descripion of the resource.",
"name": "Test name",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}Returns the attribute type identified by given name.
the unique identifier of the attribute type
Attribute Type found.
The public id of the attribute type.
"ApprovalDate_C"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.
The description of the resource.
Sample descripion of the resource.The name of the resource.
Test nameThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The id of the represented object (entity).
Attribute Type not found.
GET /rest/2.0/attributeTypes/name/{attributeTypeName} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"publicId": "\"ApprovalDate_C\"",
"attributeTypeDiscriminator": "text",
"description": "Sample descripion of the resource.",
"name": "Test name",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}Returns the attribute type identified by the given public id.
The public identifier of the attribute type
Attribute type found.
The public id of the attribute type.
"ApprovalDate_C"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType.
The description of the resource.
Sample descripion of the resource.The name of the resource.
Test nameThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The id of the represented object (entity).
Attribute type not found.
GET /rest/2.0/attributeTypes/publicId/{publicId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"publicId": "\"ApprovalDate_C\"",
"attributeTypeDiscriminator": "text",
"description": "Sample descripion of the resource.",
"name": "Test name",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}Last updated
Was this helpful?